# Makefile.in generated by automake 1.11.1 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#SUBDIRS =  kpi_low utils 

#SCEW_INCLUDE_PATH = /usr/include/scew




pkgdatadir = $(datadir)/smartslog
pkgincludedir = $(includedir)/smartslog
pkglibdir = $(libdir)/smartslog
pkglibexecdir = $(libexecdir)/smartslog
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i486-pc-linux-gnu
host_triplet = i486-pc-linux-gnu
#am__append_1 = \ $(KPI_LOW_SRC_FOLDER)/sib_access_nota.c \
#            $(KPI_LOW_SRC_FOLDER)/sib_access_nota.h 

am__append_2 = $(KPI_LOW_SRC_FOLDER)/sib_access_tcp.c \
        $(KPI_LOW_SRC_FOLDER)/sib_access_tcp.h 

subdir = src
DIST_COMMON = $(libsmartsloginclude_HEADERS) \
	$(libsmartslogutilsinclude_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgconfigdir)" \
	"$(DESTDIR)$(libsmartslogincludedir)" \
	"$(DESTDIR)$(libsmartslogutilsincludedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libsmartslog_la_LIBADD =
am__libsmartslog_la_SOURCES_DIST = classes.c classes.h generic.h \
	kpi_interface.c kpi_interface.h properties.c properties.h \
	ss_classes.c ss_classes.h ss_func.c ss_func.h ss_populate.c \
	ss_populate.h ss_properties.c ss_properties.h ss_subscribe.c \
	ss_subscribe.h structures.c structures.h utils/check_func.c \
	utils/check_func.h utils/kp_bool.h utils/kp_debug.h \
	utils/kp_error.c utils/kp_error.h \
	utils/kp_errors_define_decl.txt utils/list.c utils/list.h \
	utils/util_func.c utils/util_func.h \
	$(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.c \
	$(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.h \
	$(KPI_LOW_SRC_FOLDER)/kpi_low.c \
	$(KPI_LOW_SRC_FOLDER)/kpi_low.h \
	$(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.c \
	$(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.h \
	$(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.c \
	$(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.h \
	$(KPI_LOW_SRC_FOLDER)/sskp_errno.c \
	$(KPI_LOW_SRC_FOLDER)/sskp_errno.h \ \
	$(KPI_LOW_SRC_FOLDER)/sib_access_nota.c \
	$(KPI_LOW_SRC_FOLDER)/sib_access_nota.h \
	$(KPI_LOW_SRC_FOLDER)/sib_access_tcp.c \
	$(KPI_LOW_SRC_FOLDER)/sib_access_tcp.h
#am__objects_1 = sib_access_nota.lo
am__objects_2 = sib_access_tcp.lo
am_libsmartslog_la_OBJECTS = classes.lo kpi_interface.lo properties.lo \
	ss_classes.lo ss_func.lo ss_populate.lo ss_properties.lo \
	ss_subscribe.lo structures.lo check_func.lo kp_error.lo \
	list.lo util_func.lo compose_ssap_msg.lo kpi_low.lo \
	parse_ssap_msg.lo process_ssap_cnf.lo sskp_errno.lo \
	$(am__objects_1) $(am__objects_2)
libsmartslog_la_OBJECTS = $(am_libsmartslog_la_OBJECTS)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libsmartslog_la_SOURCES)
DIST_SOURCES = $(am__libsmartslog_la_SOURCES_DIST)
DATA = $(pkgconfig_DATA)
HEADERS = $(libsmartsloginclude_HEADERS) \
	$(libsmartslogutilsinclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACCESS_PROTO = -DACCESS_TCPIP
ACLOCAL = ${SHELL} /home/galov/X86/TEST/smartslog-0.22/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/galov/X86/TEST/smartslog-0.22/missing --run tar
AR = i486-linux-gnu-ar
AUTOCONF = ${SHELL} /home/galov/X86/TEST/smartslog-0.22/missing --run autoconf
AUTOHEADER = ${SHELL} /home/galov/X86/TEST/smartslog-0.22/missing --run autoheader
AUTOMAKE = ${SHELL} /home/galov/X86/TEST/smartslog-0.22/missing --run automake-1.11
AWK = gawk
CC = i486-linux-gnu-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2
CPP = i486-linux-gnu-gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"smartslog\" -DVERSION=\"0.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_LIBEXPAT=1 -DHAVE_LIBSCEW=1 -DHAVE_ARPA_INET_H=1 -DHAVE_MALLOC_H=1 -DHAVE_NETINET_IN_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_SYS_SOCKET_H=1 -DHAVE_UNISTD_H=1 -DHAVE__BOOL=1 -DHAVE_STDBOOL_H=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_MEMSET=1 -DHAVE_SELECT=1 -DHAVE_SOCKET=1 -DHAVE_STRDUP=1 -DHAVE_STRNDUP=1 -DHAVE_STRSTR=1
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FGREP = /scratchbox/tools/bin/grep -F
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KPI_LOW_SRC_FOLDER = ./kpi_low
LD = /scratchbox/compilers/cs2007q3-glibc2.5-i486/i486-pc-linux-gnu/bin/ld
LDFLAGS = -Wl,-z,defs
LIBOBJS = 
LIBS = -lscew -lexpat 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/galov/X86/TEST/smartslog-0.22/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = i486-linux-gnu-objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = smartslog
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = i486-linux-gnu-ranlib
SCEW_INCLUDE_PATH = ${prefix}/include/scew
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = i486-linux-gnu-strip
VERSION = 0.1
abs_builddir = /home/galov/X86/TEST/smartslog-0.22/src
abs_srcdir = /home/galov/X86/TEST/smartslog-0.22/src
abs_top_builddir = /home/galov/X86/TEST/smartslog-0.22
abs_top_srcdir = /home/galov/X86/TEST/smartslog-0.22
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
expat_CFLAGS =  
expat_LIBS = -lscew -lpthread -lexpat  
host = i486-pc-linux-gnu
host_alias = i486-linux-gnu
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = ${SHELL} /home/galov/X86/TEST/smartslog-0.22/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AM_LDFLAGS = -lscew  -lexpat -lpthread
AM_CFLAGS = $(ACCESS_PROTO) $(CFLAGS) -Wall
INCLUDES = -I$(KPI_LOW_SRC_FOLDER) -I$(SCEW_INCLUDE_PATH)
lib_LTLIBRARIES = libsmartslog.la
#lib_LTIBRARIES = libsmartslog.la

#KPI_LOW_SRC_FOLDER = kpi_low
libsmartslog_la_SOURCES = classes.c classes.h generic.h \
	kpi_interface.c kpi_interface.h properties.c properties.h \
	ss_classes.c ss_classes.h ss_func.c ss_func.h ss_populate.c \
	ss_populate.h ss_properties.c ss_properties.h ss_subscribe.c \
	ss_subscribe.h structures.c structures.h utils/check_func.c \
	utils/check_func.h utils/kp_bool.h utils/kp_debug.h \
	utils/kp_error.c utils/kp_error.h \
	utils/kp_errors_define_decl.txt utils/list.c utils/list.h \
	utils/util_func.c utils/util_func.h \
	$(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.c \
	$(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.h \
	$(KPI_LOW_SRC_FOLDER)/kpi_low.c \
	$(KPI_LOW_SRC_FOLDER)/kpi_low.h \
	$(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.c \
	$(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.h \
	$(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.c \
	$(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.h \
	$(KPI_LOW_SRC_FOLDER)/sskp_errno.c \
	$(KPI_LOW_SRC_FOLDER)/sskp_errno.h $(am__append_1) \
	$(am__append_2)
libsmartslogincludedir = $(includedir)/smartslog/
libsmartsloginclude_HEADERS = \
    classes.h \
    generic.h \
    kpi_interface.h \
    properties.h \
    ss_classes.h \
    ss_func.h \
    ss_populate.h \
    ss_properties.h \
    ss_subscribe.h \
    structures.h \
    $(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.h  \
    $(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.h \
    $(KPI_LOW_SRC_FOLDER)/sib_access_nota.h \
    $(KPI_LOW_SRC_FOLDER)/sskp_errno.h \
    $(KPI_LOW_SRC_FOLDER)/kpi_low.h  \
    $(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.h \
    $(KPI_LOW_SRC_FOLDER)/sib_access_tcp.h

libsmartslogutilsincludedir = $(includedir)/smartslog/utils/
libsmartslogutilsinclude_HEADERS = \
    utils/check_func.h \
    utils/kp_bool.h \
    utils/kp_debug.h \
    utils/kp_error.h \
    utils/list.h \
    utils/util_func.h \
    utils/kp_errors_define_decl.txt 

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = ../smartslog.pc 

#libsmartslog_a_LDFLAGS = -version-info 0:0:0
ACLOCAL_AMFLAGS = -I m4
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libsmartslog.la: $(libsmartslog_la_OBJECTS) $(libsmartslog_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libsmartslog_la_OBJECTS) $(libsmartslog_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/check_func.Plo
include ./$(DEPDIR)/classes.Plo
include ./$(DEPDIR)/compose_ssap_msg.Plo
include ./$(DEPDIR)/kp_error.Plo
include ./$(DEPDIR)/kpi_interface.Plo
include ./$(DEPDIR)/kpi_low.Plo
include ./$(DEPDIR)/list.Plo
include ./$(DEPDIR)/parse_ssap_msg.Plo
include ./$(DEPDIR)/process_ssap_cnf.Plo
include ./$(DEPDIR)/properties.Plo
include ./$(DEPDIR)/sib_access_nota.Plo
include ./$(DEPDIR)/sib_access_tcp.Plo
include ./$(DEPDIR)/ss_classes.Plo
include ./$(DEPDIR)/ss_func.Plo
include ./$(DEPDIR)/ss_populate.Plo
include ./$(DEPDIR)/ss_properties.Plo
include ./$(DEPDIR)/ss_subscribe.Plo
include ./$(DEPDIR)/sskp_errno.Plo
include ./$(DEPDIR)/structures.Plo
include ./$(DEPDIR)/util_func.Plo

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

check_func.lo: utils/check_func.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check_func.lo -MD -MP -MF $(DEPDIR)/check_func.Tpo -c -o check_func.lo `test -f 'utils/check_func.c' || echo '$(srcdir)/'`utils/check_func.c
	$(am__mv) $(DEPDIR)/check_func.Tpo $(DEPDIR)/check_func.Plo
#	source='utils/check_func.c' object='check_func.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check_func.lo `test -f 'utils/check_func.c' || echo '$(srcdir)/'`utils/check_func.c

kp_error.lo: utils/kp_error.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT kp_error.lo -MD -MP -MF $(DEPDIR)/kp_error.Tpo -c -o kp_error.lo `test -f 'utils/kp_error.c' || echo '$(srcdir)/'`utils/kp_error.c
	$(am__mv) $(DEPDIR)/kp_error.Tpo $(DEPDIR)/kp_error.Plo
#	source='utils/kp_error.c' object='kp_error.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o kp_error.lo `test -f 'utils/kp_error.c' || echo '$(srcdir)/'`utils/kp_error.c

list.lo: utils/list.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT list.lo -MD -MP -MF $(DEPDIR)/list.Tpo -c -o list.lo `test -f 'utils/list.c' || echo '$(srcdir)/'`utils/list.c
	$(am__mv) $(DEPDIR)/list.Tpo $(DEPDIR)/list.Plo
#	source='utils/list.c' object='list.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o list.lo `test -f 'utils/list.c' || echo '$(srcdir)/'`utils/list.c

util_func.lo: utils/util_func.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT util_func.lo -MD -MP -MF $(DEPDIR)/util_func.Tpo -c -o util_func.lo `test -f 'utils/util_func.c' || echo '$(srcdir)/'`utils/util_func.c
	$(am__mv) $(DEPDIR)/util_func.Tpo $(DEPDIR)/util_func.Plo
#	source='utils/util_func.c' object='util_func.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o util_func.lo `test -f 'utils/util_func.c' || echo '$(srcdir)/'`utils/util_func.c

compose_ssap_msg.lo: $(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT compose_ssap_msg.lo -MD -MP -MF $(DEPDIR)/compose_ssap_msg.Tpo -c -o compose_ssap_msg.lo `test -f '$(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.c
	$(am__mv) $(DEPDIR)/compose_ssap_msg.Tpo $(DEPDIR)/compose_ssap_msg.Plo
#	source='$(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.c' object='compose_ssap_msg.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o compose_ssap_msg.lo `test -f '$(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/compose_ssap_msg.c

kpi_low.lo: $(KPI_LOW_SRC_FOLDER)/kpi_low.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT kpi_low.lo -MD -MP -MF $(DEPDIR)/kpi_low.Tpo -c -o kpi_low.lo `test -f '$(KPI_LOW_SRC_FOLDER)/kpi_low.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/kpi_low.c
	$(am__mv) $(DEPDIR)/kpi_low.Tpo $(DEPDIR)/kpi_low.Plo
#	source='$(KPI_LOW_SRC_FOLDER)/kpi_low.c' object='kpi_low.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o kpi_low.lo `test -f '$(KPI_LOW_SRC_FOLDER)/kpi_low.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/kpi_low.c

parse_ssap_msg.lo: $(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parse_ssap_msg.lo -MD -MP -MF $(DEPDIR)/parse_ssap_msg.Tpo -c -o parse_ssap_msg.lo `test -f '$(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.c
	$(am__mv) $(DEPDIR)/parse_ssap_msg.Tpo $(DEPDIR)/parse_ssap_msg.Plo
#	source='$(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.c' object='parse_ssap_msg.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parse_ssap_msg.lo `test -f '$(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/parse_ssap_msg.c

process_ssap_cnf.lo: $(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT process_ssap_cnf.lo -MD -MP -MF $(DEPDIR)/process_ssap_cnf.Tpo -c -o process_ssap_cnf.lo `test -f '$(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.c
	$(am__mv) $(DEPDIR)/process_ssap_cnf.Tpo $(DEPDIR)/process_ssap_cnf.Plo
#	source='$(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.c' object='process_ssap_cnf.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o process_ssap_cnf.lo `test -f '$(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/process_ssap_cnf.c

sskp_errno.lo: $(KPI_LOW_SRC_FOLDER)/sskp_errno.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sskp_errno.lo -MD -MP -MF $(DEPDIR)/sskp_errno.Tpo -c -o sskp_errno.lo `test -f '$(KPI_LOW_SRC_FOLDER)/sskp_errno.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/sskp_errno.c
	$(am__mv) $(DEPDIR)/sskp_errno.Tpo $(DEPDIR)/sskp_errno.Plo
#	source='$(KPI_LOW_SRC_FOLDER)/sskp_errno.c' object='sskp_errno.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sskp_errno.lo `test -f '$(KPI_LOW_SRC_FOLDER)/sskp_errno.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/sskp_errno.c

sib_access_nota.lo: $(KPI_LOW_SRC_FOLDER)/sib_access_nota.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sib_access_nota.lo -MD -MP -MF $(DEPDIR)/sib_access_nota.Tpo -c -o sib_access_nota.lo `test -f '$(KPI_LOW_SRC_FOLDER)/sib_access_nota.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/sib_access_nota.c
	$(am__mv) $(DEPDIR)/sib_access_nota.Tpo $(DEPDIR)/sib_access_nota.Plo
#	source='$(KPI_LOW_SRC_FOLDER)/sib_access_nota.c' object='sib_access_nota.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sib_access_nota.lo `test -f '$(KPI_LOW_SRC_FOLDER)/sib_access_nota.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/sib_access_nota.c

sib_access_tcp.lo: $(KPI_LOW_SRC_FOLDER)/sib_access_tcp.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sib_access_tcp.lo -MD -MP -MF $(DEPDIR)/sib_access_tcp.Tpo -c -o sib_access_tcp.lo `test -f '$(KPI_LOW_SRC_FOLDER)/sib_access_tcp.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/sib_access_tcp.c
	$(am__mv) $(DEPDIR)/sib_access_tcp.Tpo $(DEPDIR)/sib_access_tcp.Plo
#	source='$(KPI_LOW_SRC_FOLDER)/sib_access_tcp.c' object='sib_access_tcp.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sib_access_tcp.lo `test -f '$(KPI_LOW_SRC_FOLDER)/sib_access_tcp.c' || echo '$(srcdir)/'`$(KPI_LOW_SRC_FOLDER)/sib_access_tcp.c

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-pkgconfigDATA: $(pkgconfig_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
	done

uninstall-pkgconfigDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(pkgconfigdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(pkgconfigdir)" && rm -f $$files
install-libsmartslogincludeHEADERS: $(libsmartsloginclude_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(libsmartslogincludedir)" || $(MKDIR_P) "$(DESTDIR)$(libsmartslogincludedir)"
	@list='$(libsmartsloginclude_HEADERS)'; test -n "$(libsmartslogincludedir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsmartslogincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsmartslogincludedir)" || exit $$?; \
	done

uninstall-libsmartslogincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(libsmartsloginclude_HEADERS)'; test -n "$(libsmartslogincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(libsmartslogincludedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(libsmartslogincludedir)" && rm -f $$files
install-libsmartslogutilsincludeHEADERS: $(libsmartslogutilsinclude_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(libsmartslogutilsincludedir)" || $(MKDIR_P) "$(DESTDIR)$(libsmartslogutilsincludedir)"
	@list='$(libsmartslogutilsinclude_HEADERS)'; test -n "$(libsmartslogutilsincludedir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsmartslogutilsincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsmartslogutilsincludedir)" || exit $$?; \
	done

uninstall-libsmartslogutilsincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(libsmartslogutilsinclude_HEADERS)'; test -n "$(libsmartslogutilsincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(libsmartslogutilsincludedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(libsmartslogutilsincludedir)" && rm -f $$files

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
installdirs:
	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(libsmartslogincludedir)" "$(DESTDIR)$(libsmartslogutilsincludedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-libsmartslogincludeHEADERS \
	install-libsmartslogutilsincludeHEADERS install-pkgconfigDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-libLTLIBRARIES

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-libLTLIBRARIES \
	uninstall-libsmartslogincludeHEADERS \
	uninstall-libsmartslogutilsincludeHEADERS \
	uninstall-pkgconfigDATA

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libLTLIBRARIES clean-libtool ctags distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am \
	install-libLTLIBRARIES install-libsmartslogincludeHEADERS \
	install-libsmartslogutilsincludeHEADERS install-man \
	install-pdf install-pdf-am install-pkgconfigDATA install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-libLTLIBRARIES \
	uninstall-libsmartslogincludeHEADERS \
	uninstall-libsmartslogutilsincludeHEADERS \
	uninstall-pkgconfigDATA


#EXTRA_DIST = mkinstalldirs  config.rpath m4/ChangeLog\
#	     intltool-extract.in \
#             intltool-merge.in \
#	     intltool-update.in
#test:
#	cd src && $(MAKE) $(AM_MAKEFLAGS) rtest

#.PHONY: test

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
